#
# spec file for package logfilegen
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2023 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           logfilegen
Version:        3.0.3
Release:        1.7
Summary:        Log file generator for server log files and user-defined formats
License:        Unlicense
URL:            https://psemiletov.github.io/logfilegen/
Source:         https://github.com/psemiletov/logfilegen/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  c++_compiler
BuildRequires:  cmake

%description
Logfilegen is a tool to generate common server (nginx, etc) or user-defined
format log files. It can generate log file with the desired rate (lines per
second), the file size, lines count and the duration. Each variable of the log
file can be redefined by the random or static value. The tool is designed to
be fast and customizable.

%prep
%autosetup -p1

%build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	%{nil}
%make_build

%install
%cmake_install

%files
%license LICENSE
%doc ChangeLog README.md
%doc docs/config.md docs/templates.md
%{_bindir}/logfilegen

%changelog
* Thu Apr 20 2023 Andreas Stieger <andreas.stieger@gmx.de>
- logfilegen 3.0.3
  * seq macros fix, including syntax change
* Mon Apr 10 2023 Andreas Stieger <andreas.stieger@gmx.de>
- logfilegen 3.0.2:
  * seq macro fix, including a syntax change
* Sun Apr  9 2023 Andreas Stieger <andreas.stieger@gmx.de>
- logfilegen 3.0.1:
  * macro fixes and randomizer code improvements
* Sat Apr  8 2023 Andreas Stieger <andreas.stieger@gmx.de>
- logfilegen 3.0.0:
  * multithreading support for improved performance
* Thu Mar  2 2023 Andreas Stieger <andreas.stieger@gmx.de>
- logfilegen 2.3.0:
  * randomization engine take less resources
* Sun Feb 26 2023 Andreas Stieger <andreas.stieger@gmx.de>
- logfilegen 2.2.0:
  * C++11 compatibility fixes (down from C++17)
* Fri Feb 24 2023 Andreas Stieger <andreas.stieger@gmx.de>
- logfilegen 2.1.0:
  * fix console overflow
  * ENV variables now in the UPPER CASE only
* Wed Feb 22 2023 Andreas Stieger <andreas.stieger@gmx.de>
- logfilegen 2.0.0:
  * exposes metrics in Prometheus format at
    http://localhost:8080/metrics and a self-hosted statistics page
    at http://localhost:8080
  * can write final statistics to the file or stdout in a
    configurable format
* Wed Feb  8 2023 Andreas Stieger <andreas.stieger@gmx.de>
- logfilegen 1.2.0:
  * The log rotation queue minimal length is 1 now, i.e. one log
    file + at least one rotation file, if needed.
  * Add a new, simpler version of the benchmark: --test
* Mon Feb  6 2023 Andreas Stieger <andreas.stieger@gmx.de>
- logfilegen 1.1.0:
  * slightly faster
  * Adds new macros for combining several commands into one (@meta) and
    for using sequences as a macro (@seq).
* Tue Jan 31 2023 Andreas Stieger <andreas.stieger@gmx.de>
- fix build for openSUSE Leap
- package examples and more documentation
* Mon Jan 30 2023 Andreas Stieger <andreas.stieger@gmx.de>
- Initial package, 1.0.0
